VanDyke Software Forums

VanDyke Software Forums (https://forums.vandyke.com/index.php)
-   General (https://forums.vandyke.com/forumdisplay.php?f=11)
-   -   When trying to connect to my hosting server, I get this (https://forums.vandyke.com/showthread.php?t=12874)

KenHorse 10-24-2017 10:07 AM

When trying to connect to my hosting server, I get this
 
No compatible key-exchange method. The server supports these methods: diffie-hellman-group-exchange-sha256
No compatible MAC. The server supports these MACs: SHA2-512,SHA2-256,hmac-ripemd160,hmac-ripemd160@openssh.com

bgagnon 10-24-2017 10:21 AM

Hi KenHorse,

Is the product SecureCRT?

What version are you using?

We added support for "SHA2 MACs" in version 7.2:

Changes in SecureCRT 7.2 (Beta 1) -- October 8, 2013 (7.2.0.359)
----------------------------------------------------
New features:
  • SSH2: Added support for SHA-2 MAC algorithms.
If using version 7.2 or later, it's likely you just need to enable them in the Connection / SSH2 / Advanced category of Session Options.

And support for diffie-hellman-group-exchange-sha256 was added in v7.3.x:

Changes in SecureCRT 7.3 (Beta 3) -- September 9, 2014
------------------------------------------------------
New features:

  • Added support for diffie-hellman-group-exchange-sha256 key-exchange algorithm.
That would be in the Connection / SSH2 category of Session Options.

To perform this change to all sessions (or Default Session), see this tip on our website.

I have also added this thread to a feature request in our product enhancement database for support for ripemd-160 MAC. Should a future release of SecureCRT include this feature, notification will be posted here.

If you prefer direct email notification, send an email to support@vandyke.com and include "Feature Request - Forum Thread #12874" in the subject line or use this form from the support page of our website.


All times are GMT -6. The time now is 12:55 PM.